//
//  ELProgressItem.h
//  ELKit
//
//  Created by Douglas Welton on 11/23/14.
//
//

#import <Cocoa/Cocoa.h>

@interface ELProgressItem : NSProgress
{
    NSURL               *shareableURL;
    NSURL               *showableURL;
    
    BOOL                 isFinished;
    BOOL                 isClearable;
    BOOL                 isShareable;
    BOOL                 isShowable;
    
    NSOperation         *session;
    
    NSString            *path;
    NSString            *statusMessage;
    }

@property (retain)  NSURL               *shareableURL;
@property (retain)  NSURL               *showableURL;
    
@property           BOOL                 isFinished;
@property           BOOL                 isClearable;
@property           BOOL                 isShareable;
@property           BOOL                 isShowable;
    
@property (retain)  NSOperation         *session;

@property (retain)  NSString            *path;
@property (retain)  NSString            *statusMessage;

@end
